:root {
    --primary-color: #748CAB;
    --secundary-color: #F0EBD8;
    --background-color: #1D2D44;

    --margin-bottom-form: 2.5em;
    --margin-bottom-form-cadastro: 1em;
    --margin-right-inputs: 5em;
    --font-size-form: 1rem;
    --border-radius: .8rem;
    --centralization-mobile: 4em;
}

@font-face {
    font-family: poppins;
    src: url(fonts/Poppins-Thing.ttf) format("ttf");
}

body {
    font-family: poppins;
    background-color: var(--background-color);
    margin: 0;
    min-height: 100dvh;
}

.container {
    max-width: 117.6rem;
    margin: auto;
}

.header-logo {
    padding: 2rem 5rem 5em;
}

.wrapperContainer {
    background-image: linear-gradient(to right, var(--background-color) 50%, var(--primary-color) 50%);
}

.mainContainer {
    display: flex;
    gap: 8em;
    align-items: center;
    justify-content: center;
}

.register {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    font-size: 1.65em;
}

.register-text {
    text-align: center;
    width: 7em;
}

.register-text p {
    margin: 0;
}

.register-link a {
    color: inherit;
    text-decoration: none;
}

.register-link a:hover {
    text-decoration: underline;
}

.form-box {
    padding: 1em 3em;
    flex-direction: column;
    background-color: var(--primary-color);
    border-radius: var(--border-radius) 0 0 var(--border-radius);
    min-height: 25em;
}

.titleForm {
    text-align: center;
    color: var(--secundary-color);
    font-size: 1.7em;
    font-weight: 400;
    margin: 0;
    margin-bottom: 1.2em;
}

.cadastroTitle {
    margin-bottom: .3em;
}

.form-box fieldset {
    border: none;
    padding: 0;
    margin: 0;
}

.form-box label {
    display: block;
    margin-bottom: .5em;
    font-size: var(--font-size-form);
    color: var(--secundary-color);
}

.inputbox {
    color: var(--secundary-color);
    width: 20em;
    padding: .8em 0 .8em .3em;
    margin-bottom: var(--margin-bottom-form);
    margin-right: var(--margin-right-inputs);
    border-radius: var(--border-radius);
    border: 2px solid var(--secundary-color);
    font-size: var(--font-size-form);
    background-color: transparent;
    transition: all .2s ease-in-out;
}

.inputboxCadastro {
    margin: 0;
    margin-right: var(--margin-right-inputs);
    margin-bottom: var(--margin-bottom-form-cadastro);
}

.inputbox:focus {
    padding-left: .5em;
    outline: 1px solid white;
}

.inputbox:invalid:focus {
    outline: 2px solid #ff000d;
}

.inputbox::placeholder {
    color: color-mix(in srgb, var(--secundary-color) 47%, transparent);
}

.btnDefault {
    padding: .6em 4em;
    background-color: var(--secundary-color);
    border: none;
    border-radius: var(--border-radius);
    font-weight: 300;
    font-family: poppins;
    cursor: pointer;
    color: var(--background-color);
    transition: all .2s ease-in-out;
}

.btnDefault:hover {
    background-color: color-mix(in srgb, var(--secundary-color) 80%, transparent);
}

.btn_cadastro {
    margin: var(--margin-bottom-form-cadastro) 0 0;
}

.btn {
    display: flex;
    justify-content: center;
}

.container-footer {
    display: none;
}

.addressFooter p {
    font-style: normal;
    font-weight: 300;
    margin: 0;
}

.footer h3 {
    font-weight: 400;
    margin: 1em 0 0;
}

.footer img {
    display: none;
}